import * as React from 'react';
import { type ViewProps, type ImageProps, type ImageURISource, type ImageRequireSource } from 'react-native';
export type ResponsiveImageViewBag = {
    loading: boolean;
    error: string;
    retry: () => void;
    getViewProps: (props?: ViewProps) => ViewProps;
    getImageProps: (props?: Omit<ImageProps, 'source'> & {
        source?: ImageProps['source'];
    }) => ImageProps;
};
export type UseResponsiveImageViewOptions = {
    source: ImageURISource | ImageRequireSource;
    aspectRatio?: number;
    onLoad?: () => void;
    onError?: (errMessage: string) => void;
};
export type ResponsiveImageViewProps = UseResponsiveImageViewOptions & {
    component?: React.ComponentType<any>;
    render?: (bag: ResponsiveImageViewBag) => React.JSX.Element;
    children?: ((bag: ResponsiveImageViewBag) => React.JSX.Element) | React.ReactNode;
};
export declare function useResponsiveImageView({ aspectRatio: controlledAspectRatio, source: initialSource, onLoad, onError, }: UseResponsiveImageViewOptions): ResponsiveImageViewBag;
export declare function ResponsiveImageView({ source, component: Component, render, children, aspectRatio, onLoad, onError, }: ResponsiveImageViewProps): React.JSX.Element | null;
export declare namespace ResponsiveImageView {
    var displayName: string;
}
//# sourceMappingURL=index.d.ts.map